Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultChapterIVNameTranslationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVNameTranslationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultChapterIVNameTranslationType extends Object implements Serializable

Java class for ConsultChapterIVNameTranslationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultChapterIVNameTranslationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ShortText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LongText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LongBinaryText" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="AddressUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="NameTypeCV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="LanguageCV" use="required" type="{http://www.w3.org/2001/XMLSchema}language" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultChapterIVNameTranslationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddressUrl()`
  field to store an URL address
  `Instant`
  `getCreatedTimestamp()`
  Record created on
  `String`
  `getCreatedUserId()`
  Record created by
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getLanguageCV()`
  Language code value, ISO 639 (2-letter code) e.g.
  `byte[]`
  `getLongBinaryText()`
  Binary Long object for PDF document about the posology, indications, leaflet text, …
  `String`
  `getLongText()`
  Long text field for the posology, indications, leaflet text, …
  `String`
  `getModificationStatus()`
  Indicates the reason of eventual updating.
  `String`
  `getNameTypeCV()`
  Foreign key to NAME_TYPE
  `String`
  `getShortText()`
  Short text field for the names, alias names, … In most cases either SHORT_TEXT or LONG_TEXT will be present.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setAddressUrl(String value)`
  Sets the value of the addressUrl property.
  `void`
  `setCreatedTimestamp(Instant value)`
  Sets the value of the createdTimestamp property.
  `void`
  `setCreatedUserId(String value)`
  Sets the value of the createdUserId property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setLanguageCV(String value)`
  Sets the value of the languageCV property.
  `void`
  `setLongBinaryText(byte[] value)`
  Sets the value of the longBinaryText property.
  `void`
  `setLongText(String value)`
  Sets the value of the longText property.
  `void`
  `setModificationStatus(String value)`
  Sets the value of the modificationStatus property.
  `void`
  `setNameTypeCV(String value)`
  Sets the value of the nameTypeCV property.
  `void`
  `setShortText(String value)`
  Sets the value of the shortText property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultChapterIVNameTranslationType

    public ConsultChapterIVNameTranslationType()

- ## Method Details

  - ### getCreatedTimestamp

    public Instant getCreatedTimestamp()
    Record created on
    Returns:
      possible object is `String`

  - ### setCreatedTimestamp

    public void setCreatedTimestamp(Instant value)
    Sets the value of the createdTimestamp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedTimestamp()`

  - ### getCreatedUserId

    public String getCreatedUserId()
    Record created by
    Returns:
      possible object is `String`

  - ### setCreatedUserId

    public void setCreatedUserId(String value)
    Sets the value of the createdUserId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCreatedUserId()`

  - ### getShortText

    public String getShortText()
    Short text field for the names, alias names, … In most cases either SHORT_TEXT or LONG_TEXT will be present.
    Returns:
      possible object is `String`

  - ### setShortText

    public void setShortText(String value)
    Sets the value of the shortText property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getShortText()`

  - ### getLongText

    public String getLongText()
    Long text field for the posology, indications, leaflet text, …
    Returns:
      possible object is `String`

  - ### setLongText

    public void setLongText(String value)
    Sets the value of the longText property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLongText()`

  - ### getLongBinaryText

    public byte[] getLongBinaryText()
    Binary Long object for PDF document about the posology, indications, leaflet text, …
    Returns:
      possible object is byte[]

  - ### setLongBinaryText

    public void setLongBinaryText(byte[] value)
    Sets the value of the longBinaryText property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getLongBinaryText()`

  - ### getAddressUrl

    public String getAddressUrl()
    field to store an URL address
    Returns:
      possible object is `String`

  - ### setAddressUrl

    public void setAddressUrl(String value)
    Sets the value of the addressUrl property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAddressUrl()`

  - ### getModificationStatus

    public String getModificationStatus()
    Indicates the reason of eventual updating. ‘C’orrected, ‘E’volved
    Returns:
      possible object is `String`

  - ### setModificationStatus

    public void setModificationStatus(String value)
    Sets the value of the modificationStatus property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getModificationStatus()`

  - ### getNameTypeCV

    public String getNameTypeCV()
    Foreign key to NAME_TYPE
    Returns:
      possible object is `String`

  - ### setNameTypeCV

    public void setNameTypeCV(String value)
    Sets the value of the nameTypeCV property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNameTypeCV()`

  - ### getLanguageCV

    public String getLanguageCV()
    Language code value, ISO 639 (2-letter code) e.g. NL  “Dutch”, FR  “French”, EN  “English”, DE  “German”,…
    Returns:
      possible object is `String`

  - ### setLanguageCV

    public void setLanguageCV(String value)
    Sets the value of the languageCV property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLanguageCV()`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`